Index: example/se008724_01.ses
===================================================================
--- example/se008724_01.ses	(revision 42ade62399bfd1fd54f70ab179846d303bb95d04)
+++ example/se008724_01.ses	(revision b314f89020feac2b96e4731dd784a9df4981371c)
@@ -1,131 +1,140 @@
-DataFileTitle 	Polystyrene of Markus Strobl,  Full Sine, ++ only 
-Sample 	Polystyrene 2 um in 53% H2O, 47% D2O 
-Settings 	D1=D2=20x8 mm,Ds = 16x10 mm (WxH), GF1 =scanning, GF2 = 2.5 A. 2 um polystyrene in 53% H2O, 47% D2O; 8.55% contrast 
-Operator 	CPD 
-Date 	ma 7 jul 2014 18:54:43 
-ScanType 	sine one element scan 
-Thickness [mm] 	2 
-Q_zmax [\AA^-1] 	0.05 
-Q_ymax [\AA^-1] 	0.05 
-  
-spin echo length [nm] 	 error SEL 	 wavelength [nm] 	 error wavelength 	 polarisation 	 error pol 
-49.778	2.4889	0.211	0.01055	0.99782	0.0044367
-63.041	3.152	0.211	0.01055	1.0026	0.0047862
-76.487	3.8244	0.211	0.01055	0.99601	0.0060598
-89.847	4.4924	0.211	0.01055	0.99175	0.0058257
-103.41	5.1705	0.211	0.01055	0.99543	0.0060966
-116.95	5.8475	0.211	0.01055	0.99512	0.0048106
-130.61	6.5303	0.211	0.01055	0.9975	0.0062594
-144.37	7.2184	0.211	0.01055	0.99473	0.005293
-158.2	7.9102	0.211	0.01055	0.9927	0.0053389
-172.12	8.6062	0.211	0.01055	0.99453	0.0064548
-186.17	9.3087	0.211	0.01055	0.98641	0.0073259
-200.28	10.014	0.211	0.01055	0.98879	0.0078682
-214.46	10.723	0.211	0.01055	0.9895	0.0068058
-228.73	11.436	0.211	0.01055	0.99204	0.0082509
-243.12	12.156	0.211	0.01055	0.99406	0.0051381
-257.55	12.878	0.211	0.01055	0.97965	0.0055447
-272.22	13.611	0.211	0.01055	0.97982	0.0065843
-286.9	14.345	0.211	0.01055	0.97793	0.0071814
-301.73	15.087	0.211	0.01055	0.97835	0.0066197
-316.75	15.838	0.211	0.01055	0.98125	0.0069484
-331.82	16.591	0.211	0.01055	0.97828	0.0068737
-347.16	17.358	0.211	0.01055	0.97682	0.006744
-362.45	18.122	0.211	0.01055	0.98155	0.0059865
-378.09	18.904	0.211	0.01055	0.96446	0.0066788
-393.74	19.687	0.211	0.01055	0.97276	0.0073781
-409.61	20.481	0.211	0.01055	0.97101	0.0071053
-425.55	21.278	0.211	0.01055	0.97501	0.0068244
-441.91	22.096	0.211	0.01055	0.96958	0.0072272
-458.12	22.906	0.211	0.01055	0.95991	0.0064035
-474.77	23.739	0.211	0.01055	0.96219	0.0059227
-491.52	24.576	0.211	0.01055	0.96016	0.0058606
-508.51	25.426	0.211	0.01055	0.9509	0.0049836
-525.68	26.284	0.211	0.01055	0.95558	0.0055218
-543.08	27.154	0.211	0.01055	0.95079	0.0058258
-560.74	28.037	0.211	0.01055	0.9514	0.0043921
-578.69	28.935	0.211	0.01055	0.94562	0.0046962
-596.75	29.838	0.211	0.01055	0.94588	0.0047341
-615.17	30.758	0.211	0.01055	0.93958	0.0045821
-633.77	31.688	0.211	0.01055	0.93731	0.0043108
-652.82	32.641	0.211	0.01055	0.93664	0.0052044
-672.04	33.602	0.211	0.01055	0.93209	0.0035563
-691.57	34.578	0.211	0.01055	0.93385	0.0046002
-711.48	35.574	0.211	0.01055	0.93028	0.0051136
-731.67	36.583	0.211	0.01055	0.93012	0.0035279
-752.17	37.608	0.211	0.01055	0.92594	0.0039458
-773.1	38.655	0.211	0.01055	0.92352	0.0027613
-794.42	39.721	0.211	0.01055	0.91823	0.0034587
-816.14	40.807	0.211	0.01055	0.90862	0.0034262
-838.19	41.91	0.211	0.01055	0.91909	0.003498
-860.69	43.034	0.211	0.01055	0.91013	0.0030537
-883.74	44.187	0.211	0.01055	0.90449	0.0035391
-907.04	45.352	0.211	0.01055	0.90057	0.0029672
-930.95	46.547	0.211	0.01055	0.90316	0.0031245
-955.38	47.769	0.211	0.01055	0.89492	0.0030981
-980.25	49.013	0.211	0.01055	0.89636	0.0036625
-1005.7	50.284	0.211	0.01055	0.88808	0.0022652
-1031.7	51.586	0.211	0.01055	0.88665	0.0044622
-1058.3	52.914	0.211	0.01055	0.88205	0.0030275
-1085.5	54.276	0.211	0.01055	0.88257	0.0028637
-1113.4	55.669	0.211	0.01055	0.87629	0.0030312
-1141.9	57.093	0.211	0.01055	0.87732	0.0026539
-1171	58.55	0.211	0.01055	0.87361	0.0034591
-1201	60.052	0.211	0.01055	0.86595	0.0028129
-1231.6	61.582	0.211	0.01055	0.86804	0.0043311
-1263	63.151	0.211	0.01055	0.86676	0.0028806
-1295.2	64.762	0.211	0.01055	0.85655	0.0028657
-1328.4	66.419	0.211	0.01055	0.85794	0.0034773
-1362.3	68.113	0.211	0.01055	0.85521	0.0032798
-1397.1	69.854	0.211	0.01055	0.84974	0.0044537
-1432.9	71.644	0.211	0.01055	0.84149	0.0032738
-1469.7	73.487	0.211	0.01055	0.84801	0.0037874
-1507.5	75.376	0.211	0.01055	0.84334	0.003206
-1546.4	77.318	0.211	0.01055	0.83749	0.0040707
-1586.4	79.322	0.211	0.01055	0.83921	0.0049938
-1627.6	81.381	0.211	0.01055	0.83434	0.0057337
-1669.9	83.497	0.211	0.01055	0.82878	0.0062417
-1713.6	85.678	0.211	0.01055	0.82309	0.0080179
-1758.5	87.927	0.211	0.01055	0.82433	0.0074191
-1804.8	90.239	0.211	0.01055	0.82023	0.0076431
-1852.5	92.627	0.211	0.01055	0.82756	0.0063064
-1901.7	95.087	0.211	0.01055	0.82584	0.0052944
-1952.4	97.622	0.211	0.01055	0.82799	0.0050662
-2004.8	100.24	0.211	0.01055	0.82345	0.0043127
-2058.8	102.94	0.211	0.01055	0.82296	0.0038
-2114.5	105.72	0.211	0.01055	0.81987	0.0034072
-2172	108.6	0.211	0.01055	0.82021	0.0036752
-2231.4	111.57	0.211	0.01055	0.82765	0.0028851
-2292.8	114.64	0.211	0.01055	0.82664	0.0038942
-2356.2	117.81	0.211	0.01055	0.82702	0.0047371
-2421.8	121.09	0.211	0.01055	0.81593	0.0043772
-2489.6	124.48	0.211	0.01055	0.8251	0.0028026
-2559.5	127.98	0.211	0.01055	0.8292	0.0024574
-2631.9	131.59	0.211	0.01055	0.82626	0.0036198
-2706.8	135.34	0.211	0.01055	0.8208	0.0032314
-2784.3	139.22	0.211	0.01055	0.81959	0.0042731
-2864.5	143.23	0.211	0.01055	0.82653	0.002699
-2947.5	147.38	0.211	0.01055	0.82401	0.0036726
-3033.5	151.67	0.211	0.01055	0.82361	0.0048224
-3122.4	156.12	0.211	0.01055	0.82358	0.0041221
-3214.5	160.73	0.211	0.01055	0.82187	0.0028807
-3310.1	165.5	0.211	0.01055	0.82644	0.003516
-3409	170.45	0.211	0.01055	0.82355	0.0021166
-3511.4	175.57	0.211	0.01055	0.82513	0.0033911
-3617.6	180.88	0.211	0.01055	0.82802	0.0015342
-3727.6	186.38	0.211	0.01055	0.82663	0.0029222
-3841.7	192.08	0.211	0.01055	0.82026	0.0020755
-3960	198	0.211	0.01055	0.83079	0.0026394
-4082.7	204.13	0.211	0.01055	0.82665	0.0027466
-4209.9	210.5	0.211	0.01055	0.82774	0.0025199
-4341.9	217.09	0.211	0.01055	0.83489	0.0030619
-4478.7	223.94	0.211	0.01055	0.81987	0.0020988
-4620.8	231.04	0.211	0.01055	0.8253	0.0023899
-4768.2	238.41	0.211	0.01055	0.82653	0.0022851
-4921.1	246.06	0.211	0.01055	0.82442	0.003383
-5079.8	253.99	0.211	0.01055	0.82827	0.0015979
-5244.7	262.23	0.211	0.01055	0.82494	0.0031129
-5415.7	270.79	0.211	0.01055	0.82183	0.0030149
-5593.3	279.67	0.211	0.01055	0.83217	0.0046976
-5777.8	288.89	0.211	0.01055	0.82227	0.005574
-5969.3	298.46	0.211	0.01055	0.82338	0.0025569
+FileFormatVersion       1.0
+DataFileTitle           Polystyrene of Markus Strobl,  Full Sine, ++ only
+Sample                  Polystyrene 2 um in 53% H2O, 47% D2O
+Settings                D1=D2=20x8 mm,Ds = 16x10 mm (WxH), GF1 =scanning, GF2 = 2.5 A. 2 um polystyrene in 53% H2O, 47% D2O; 8.55% contrast
+Operator                CPD
+Date                    ma 7 jul 2014 18:54:43
+ScanType                sine one element scan
+Thickness               2
+Thickness_unit          mm
+Theta_zmax              0.0168
+Theta_zmax_unit         radians
+Theta_ymax              0.0168
+Theta_ymax_unit         radians
+Orientation             Z
+SpinEchoLength_unit     A
+Depolarisation_unit     A-2 cm-1
+Wavelength_unit         A
+
+BEGIN_DATA
+SpinEchoLength Depolarisation Depolarisation_error Wavelength Wavelength_error SpinEchoLength_error Polarisation  Polarisation_error
+497.78  -2.4509553e-4  4.9935908e-4  2.11  0.1055  24.889  0.99782  0.0044367 
+630.41   2.9161810e-4  5.3612769e-4  2.11  0.1055   31.52   1.0026  0.0047862 
+764.87  -4.4899949e-4  6.8328154e-4  2.11  0.1055  38.244  0.99601  0.0060598 
+898.47  -9.3037214e-4  6.5970686e-4  2.11  0.1055  44.924  0.99175  0.0058257 
+1034.1  -5.1441728e-4  6.8783151e-4  2.11  0.1055  51.705  0.99543  0.0060966 
+1169.5  -5.4939760e-4  5.4291131e-4  2.11  0.1055  58.475  0.99512  0.0048106 
+1306.1  -2.8111792e-4  7.0473347e-4  2.11  0.1055  65.303   0.9975  0.0062594 
+1443.7  -5.9342057e-4  5.9758787e-4  2.11  0.1055  72.184  0.99473   0.005293 
+1582.  -8.2284488e-4  6.0400267e-4  2.11  0.1055  79.102   0.9927  0.0053389 
+1721.2  -6.1600315e-4  7.2890343e-4  2.11  0.1055  86.062  0.99453  0.0064548 
+1861.7  -1.5367118e-3  8.3408174e-4  2.11  0.1055  93.087  0.98641  0.0073259 
+2002.8  -1.2660661e-3  8.9366844e-4  2.11  0.1055  100.14  0.98879  0.0078682 
+2144.6  -1.1854534e-3  7.7244662e-4  2.11  0.1055  107.23   0.9895  0.0068058 
+2287.3  -8.9753711e-4  9.3406529e-4  2.11  0.1055  114.36  0.99204  0.0082509 
+2431.2  -6.6909009e-4  5.8049041e-4  2.11  0.1055  121.56  0.99406  0.0051381 
+2575.5  -2.3090130e-3  6.3564144e-4  2.11  0.1055  128.78  0.97965  0.0055447 
+2722.2  -2.2895260e-3  7.5468967e-4  2.11  0.1055  136.11  0.97982  0.0065843 
+2869.  -2.5063662e-3  8.2471984e-4  2.11  0.1055  143.45  0.97793  0.0071814 
+3017.3  -2.4581433e-3  7.5988724e-4  2.11  0.1055  150.87  0.97835  0.0066197 
+3167.5  -2.1257395e-3  7.9526201e-4  2.11  0.1055  158.38  0.98125  0.0069484 
+3318.2  -2.4661790e-3  7.8910082e-4  2.11  0.1055  165.91  0.97828  0.0068737 
+3471.6  -2.6339122e-3  7.7536843e-4  2.11  0.1055  173.58  0.97682   0.006744 
+3624.5  -2.0914090e-3  6.8496070e-4  2.11  0.1055  181.22  0.98155  0.0059865 
+3780.9  -4.0640282e-3  7.7771292e-4  2.11  0.1055  189.04  0.96446  0.0066788 
+3937.4  -3.1016697e-3  8.5181234e-4  2.11  0.1055  196.87  0.97276  0.0073781 
+4096.1  -3.3038917e-3  8.2179560e-4  2.11  0.1055  204.81  0.97101  0.0071053 
+4255.5  -2.8422039e-3  7.8606869e-4  2.11  0.1055  212.78  0.97501  0.0068244 
+4419.1  -3.4694067e-3  8.3712733e-4  2.11  0.1055  220.96  0.96958  0.0072272 
+4581.2  -4.5951067e-3  7.4919003e-4  2.11  0.1055  229.06  0.95991  0.0064035 
+4747.7  -4.3286699e-3  6.9129591e-4  2.11  0.1055  237.39  0.96219  0.0059227 
+4915.2  -4.5658612e-3  6.8549385e-4  2.11  0.1055  245.76  0.96016  0.0058606 
+5085.1  -5.6542277e-3  5.8859074e-4  2.11  0.1055  254.26   0.9509  0.0049836 
+5256.8  -5.1028496e-3  6.4896117e-4  2.11  0.1055  262.84  0.95558  0.0055218 
+5430.8  -5.6672201e-3  6.8813882e-4  2.11  0.1055  271.54  0.95079  0.0058258 
+5607.4  -5.5951905e-3  5.1845870e-4  2.11  0.1055  280.37   0.9514  0.0043921 
+5786.9  -6.2795627e-3  5.5774416e-4  2.11  0.1055  289.35  0.94562  0.0046962 
+5967.5  -6.2486880e-3  5.6209080e-4  2.11  0.1055  298.38  0.94588  0.0047341 
+6151.7  -6.9992040e-3  5.4769136e-4  2.11  0.1055  307.58  0.93958  0.0045821 
+6337.7  -7.2708619e-3  5.1651117e-4  2.11  0.1055  316.88  0.93731  0.0043108 
+6528.2  -7.3511686e-3  6.2402654e-4  2.11  0.1055  326.41  0.93664  0.0052044 
+6720.4  -7.8980596e-3  4.2849488e-4  2.11  0.1055  336.02  0.93209  0.0035563 
+6915.7  -7.6861990e-3  5.5322868e-4  2.11  0.1055  345.78  0.93385  0.0046002 
+7114.8  -8.1163566e-3  6.1733111e-4  2.11  0.1055  355.74  0.93028  0.0051136 
+7316.7  -8.1356741e-3  4.2597330e-4  2.11  0.1055  365.83  0.93012  0.0035279 
+7521.7  -8.6415221e-3  4.7858305e-4  2.11  0.1055  376.08  0.92594  0.0039458 
+7731.  -8.9354263e-3  3.3579357e-4  2.11  0.1055  386.55  0.92352  0.0027613 
+7944.2  -9.5805772e-3  4.2302546e-4  2.11  0.1055  397.21  0.91823  0.0034587 
+8161.4   -0.010762148  4.2348254e-4  2.11  0.1055  408.07  0.90862  0.0034262 
+8381.9  -9.4754418e-3  4.2743183e-4  2.11  0.1055   419.1  0.91909   0.003498 
+8606.9   -0.010575665  3.7681487e-4  2.11  0.1055  430.34  0.91013  0.0030537 
+8837.4   -0.011273784  4.3943451e-4  2.11  0.1055  441.87  0.90449  0.0035391 
+9070.4   -0.011761571  3.7002787e-4  2.11  0.1055  453.52  0.90057  0.0029672 
+9309.5   -0.011439046  3.8852675e-4  2.11  0.1055  465.47  0.90316  0.0031245 
+9553.8   -0.012468380  3.8879110e-4  2.11  0.1055  477.69  0.89492  0.0030981 
+9802.5   -0.012287815  4.5888119e-4  2.11  0.1055  490.13  0.89636  0.0036625 
+10057.   -0.013330052  2.8645708e-4  2.11  0.1055  502.84  0.88808  0.0022652 
+10317.   -0.013511036  5.6519968e-4  2.11  0.1055  515.86  0.88665  0.0044622 
+10583.   -0.014095206  3.8547484e-4  2.11  0.1055  529.14  0.88205  0.0030275 
+10855.   -0.014029017  3.6440427e-4  2.11  0.1055  542.76  0.88257  0.0028637 
+11134.   -0.014831000  3.8848283e-4  2.11  0.1055  556.69  0.87629  0.0030312 
+11419.   -0.014699072  3.3972822e-4  2.11  0.1055  570.93  0.87732  0.0026539 
+11710   -0.015174999  4.4468309e-4  2.11  0.1055   585.5  0.87361  0.0034591 
+12010   -0.016164070  3.6480986e-4  2.11  0.1055  600.52  0.86595  0.0028129 
+12316   -0.015893340  5.6035541e-4  2.11  0.1055  615.82  0.86804  0.0043311 
+12630   -0.016059068  3.7324087e-4  2.11  0.1055  631.51  0.86676  0.0028806 
+12952.   -0.017389837  3.7573625e-4  2.11  0.1055  647.62  0.85655  0.0028657 
+13284.   -0.017207735  4.5518751e-4  2.11  0.1055  664.19  0.85794  0.0034773 
+13623.   -0.017565669  4.3070477e-4  2.11  0.1055  681.13  0.85521  0.0032798 
+13971.   -0.018286298  5.8862675e-4  2.11  0.1055  698.54  0.84974  0.0044537 
+14329.   -0.019381994  4.3692639e-4  2.11  0.1055  716.44  0.84149  0.0032738 
+14697.   -0.018515178  5.0158587e-4  2.11  0.1055  734.87  0.84801  0.0037874 
+15075.   -0.019135361  4.2693908e-4  2.11  0.1055  753.76  0.84334   0.003206 
+15464.   -0.019917113  5.4587670e-4  2.11  0.1055  773.18  0.83749  0.0040707 
+15864.   -0.019686699  6.6829096e-4  2.11  0.1055  793.22  0.83921  0.0049938 
+16276.   -0.020340321  7.7178617e-4  2.11  0.1055  813.81  0.83434  0.0057337 
+16699.   -0.021091231  8.4580203e-4  2.11  0.1055  834.97  0.82878  0.0062417 
+17136.   -0.021864932  1.0940027e-3  2.11  0.1055  856.78  0.82309  0.0080179 
+17585.   -0.021695868  1.0107767e-3  2.11  0.1055  879.27  0.82433  0.0074191 
+18048.   -0.022255844  1.0464994e-3  2.11  0.1055  902.39  0.82023  0.0076431 
+18525.   -0.021256673  8.5582923e-4  2.11  0.1055  926.27  0.82756  0.0063064 
+19017.   -0.021490334  7.1998911e-4  2.11  0.1055  950.87  0.82584  0.0052944 
+19524.   -0.021198334  6.8716706e-4  2.11  0.1055  976.22  0.82799  0.0050662 
+20048.   -0.021815823  5.8818928e-4  2.11  0.1055  1002.4  0.82345  0.0043127 
+20588.   -0.021882671  5.1857307e-4  2.11  0.1055  1029.4  0.82296     0.0038 
+21145.   -0.022305147  4.6672141e-4  2.11  0.1055  1057.2  0.81987  0.0034072 
+21720   -0.022258583  5.0322361e-4  2.11  0.1055   1086.  0.82021  0.0036752 
+22314.   -0.021244460  3.9148871e-4  2.11  0.1055  1115.7  0.82765  0.0028851 
+22928.   -0.021381594  5.2906244e-4  2.11  0.1055  1146.4  0.82664  0.0038942 
+23562.   -0.021329979  6.4328235e-4  2.11  0.1055  1178.1  0.82702  0.0047371 
+24218.   -0.022846153  6.0248825e-4  2.11  0.1055  1210.9  0.81593  0.0043772 
+24896.   -0.021591012  3.8146933e-4  2.11  0.1055  1244.8   0.8251  0.0028026 
+25595.   -0.021034332  3.3282938e-4  2.11  0.1055  1279.8   0.8292  0.0024574 
+26319.   -0.021433232  4.9200888e-4  2.11  0.1055  1315.9  0.82626  0.0036198 
+27068.   -0.022177827  4.4213864e-4  2.11  0.1055  1353.4   0.8208  0.0032314 
+27843.   -0.022343508  5.8553317e-4  2.11  0.1055  1392.2  0.81959  0.0042731 
+28645.   -0.021396539  3.6673246e-4  2.11  0.1055  1432.3  0.82653   0.002699 
+29475.   -0.021739473  5.0054859e-4  2.11  0.1055  1473.8  0.82401  0.0036726 
+30335.   -0.021794003  6.5757715e-4  2.11  0.1055  1516.7  0.82361  0.0048224 
+31224.   -0.021798094  5.6210549e-4  2.11  0.1055  1561.2  0.82358  0.0041221 
+32145.   -0.022031519  3.9364070e-4  2.11  0.1055  1607.3  0.82187  0.0028807 
+33101.   -0.021408769  4.7779613e-4  2.11  0.1055   1655.  0.82644   0.003516 
+34090   -0.021802185  2.8863827e-4  2.11  0.1055  1704.5  0.82355  0.0021166 
+35114.   -0.021586929  4.6155484e-4  2.11  0.1055  1755.7  0.82513  0.0033911 
+36176.   -0.021194265  2.0808762e-4  2.11  0.1055  1808.8  0.82802  0.0015342 
+37276.   -0.021382952  3.9701221e-4  2.11  0.1055  1863.8  0.82663  0.0029222 
+38417.   -0.022251737  2.8416874e-4  2.11  0.1055  1920.8  0.82026  0.0020755 
+39600   -0.020819189  3.5679523e-4  2.11  0.1055  1980.0  0.83079  0.0026394 
+40827.   -0.021380235  3.7314604e-4  2.11  0.1055  2041.3  0.82665  0.0027466 
+42099.   -0.021232248  3.4189634e-4  2.11  0.1055   2105.  0.82774  0.0025199 
+43419.   -0.020266312  4.1187633e-4  2.11  0.1055  2170.9  0.83489  0.0030619 
+44787.   -0.022305147  2.8749557e-4  2.11  0.1055  2239.4  0.81987  0.0020988 
+46208.   -0.021563793  3.2521680e-4  2.11  0.1055  2310.4   0.8253  0.0023899 
+47682.   -0.021396539  3.1049291e-4  2.11  0.1055  2384.1  0.82653  0.0022851 
+49211.   -0.021683607  4.6084892e-4  2.11  0.1055  2460.6  0.82442   0.003383 
+50798.   -0.021160361  2.1666201e-4  2.11  0.1055  2539.9  0.82827  0.0015979 
+52447.   -0.021612792  4.2378726e-4  2.11  0.1055  2622.3  0.82494  0.0031129 
+54157.   -0.022036985  4.1199886e-4  2.11  0.1055  2707.9  0.82183  0.0030149 
+55933.   -0.020632795  6.3397053e-4  2.11  0.1055  2796.7  0.83217  0.0046976 
+57778.   -0.021976873  7.6130313e-4  2.11  0.1055  2888.9  0.82227   0.005574 
+59693.   -0.021825370  3.4875346e-4  2.11  0.1055  2984.6  0.82338  0.0025569 