Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 904168e139694eb7f3af5d6638ae157ce3d14afd)
+++ sansview/perspectives/fitting/basepage.py	(revision 5582a9f16c395e475cbfd2f90464f256ebd00815)
@@ -78,7 +78,7 @@
         self.num_points_def = 50
         ## Q range
-        self.qmin_x= self.qmin_def
-        self.qmax_x= self.qmax_def
-        self.num_points= self.num_points_def
+        self.qmin_x= 0.001
+        self.qmax_x= 0.13
+        self.num_points= 50
         
         ## Create memento to save the current state
@@ -647,5 +647,7 @@
         self.model= state.model
         self.data = state.data
-        self.smearer= state.smearer
+        if self.data !=None:
+            from DataLoader.qsmearing import smear_selection
+            self.smearer= smear_selection( self.data )
         self.enable2D= state.enable2D
         
@@ -698,10 +700,5 @@
 
             self._set_dipers_Param(event=None)
-            
-            #self.disp_cb_dict = {}
-            #for k,v in self.state.disp_cb_dict.iteritems():
-            #    self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict) 
-            #    self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
-
+       
             if name=="ArrayDispersion":
                 
@@ -733,9 +730,5 @@
                     self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict) 
                     self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
-                
-                #self._disp_obj_dict={}
-                #for k , v in self.state._disp_obj_dict.iteritems():
-                #    self._disp_obj_dict[k]=v
-                
+      
         ##plotting range restore    
         self._reset_plotting_range(state)
@@ -745,10 +738,11 @@
             self.enable_smearer.SetValue(state.enable_smearer)
             self.disable_smearer.SetValue(state.disable_smearer)
+            self.onSmear(event=None)
             self.tcChi.SetLabel(str( state.tcChi))
             self.sizer5.Layout()
             self.Layout()
             self.Refresh()
-            #self.compute_chisqr(smearer= self.smearer)  
-        #self._draw_model()   
+            
+       
         ## reset state of checkbox,textcrtl  and dispersity parameters value
         self._reset_parameters_state(self.fittable_param,state.fittable_param)
@@ -760,14 +754,5 @@
         ## reset context menu items
         self._reset_context_menu()
-        
-        #self._reset_dispersity()
-        #self._set_dipers_Param(event=None) #to bo removed //resets disper para value
-
-        #self.disp_cb_dict = {}
-        #for k,v in self.state.disp_cb_dict.iteritems():
-            #self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict) 
-            #self.state.disp_cb_dict = copy.deepcopy(state.disp_cb_dict)
-
-
+    
         ## set the value of the current state to the state given as parameter
         self.state = state.clone() 
@@ -1685,4 +1670,8 @@
         
         
+        sizer.Add((5,5))
+        sizer.Add(wx.StaticText(self, -1, 'Min'))
+        sizer.Add(wx.StaticText(self, -1, 'Max'))
+        sizer.Add(wx.StaticText(self, -1, 'Q range'))
              
         sizer.Add(self.qmin)
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 920a6e51caebdf22df568f0a31e8349f61b4b8d6)
+++ sansview/perspectives/fitting/fitpage.py	(revision 5582a9f16c395e475cbfd2f90464f256ebd00815)
@@ -922,8 +922,7 @@
         ##Calculate chi2
         self.compute_chisqr(smearer= temp_smearer)  
-        ## save the state enable smearing
-        self.state.smearer= temp_smearer
-        #self.save_current_state() 
-   
+        
+        self.state.enable_smearer=  self.enable_smearer.GetValue()
+        self.state.disable_smearer=self.disable_smearer.GetValue()
    
     def complete_chisqr(self, output, elapsed=None):  
@@ -941,6 +940,5 @@
             ## post state to fit panel
             self.state.tcChi =output
-            #event = PageInfoEvent(page = self)
-            #wx.PostEvent(self.parent, event)
+          
         except:
             pass