Index: build_tools/jenkins_osx_build.sh
===================================================================
--- build_tools/jenkins_osx_build.sh	(revision 70be725a7f54f9cfe4a223a467efb929ca1020f7)
+++ build_tools/jenkins_osx_build.sh	(revision 5881b17fbe4e39169f47ab9b471e946b64d5a697)
@@ -1,4 +1,3 @@
 export PATH=$PATH:/usr/local/bin/
-
 
 PYTHON=${PYTHON:-`which python`}
@@ -57,5 +56,5 @@
 $PYTHON setup.py clean
 $PYTHON setup.py build
-$PYTHON setup.py docs
+#$PYTHON setup.py docs
 
 
@@ -63,23 +62,23 @@
 cd $WORKSPACE
 cd sasview
-python setup.py bdist_egg
+$PYTHON setup.py docs bdist_egg
 cd dist
 $EASY_INSTALL -d $WORKSPACE/sasview/sasview-install sasview*.egg
 
 # TEST
-cd $WORKSPACE
-cd sasview
-cd test
-$PYTHON utest_sasview.py
+#cd $WORKSPACE
+#cd sasview
+#cd test
+#$PYTHON utest_sasview.py
 
 ## PYLINT
-cd $WORKSPACE
-cd sasview
-$PYLINT --rcfile "build_tools/pylint.rc" -f parseable sasview-install/sasview*.egg/sas sasview | tee  test/sasview.txt
+#cd $WORKSPACE
+#cd sasview
+#$PYLINT --rcfile "build_tools/pylint.rc" -f parseable sasview-install/sasview*.egg/sas sasview | tee  test/sasview.txt
 
 
 # BUILD APP
-cd $WORKSPACE
-cd sasview/sasview
-python setup_mac.py py2app
+#cd $WORKSPACE
+#cd sasview/sasview
+#$PYTHON setup_mac.py py2app
 
Index: sasview/setup_mac.py
===================================================================
--- sasview/setup_mac.py	(revision 70be725a7f54f9cfe4a223a467efb929ca1020f7)
+++ sasview/setup_mac.py	(revision 5881b17fbe4e39169f47ab9b471e946b64d5a697)
@@ -26,8 +26,7 @@
 root = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
 platform = '%s-%s'%(get_platform(),sys.version[:3])
-#build_path = os.path.join(root, 'build','lib.'+platform)
-build_path = os.path.join(root)
+build_path = os.path.join(root, 'build','lib.'+platform)
 sys.path.insert(0, build_path)
-
+print "BUILDING PATH INSIDE", build_path
 ICON = local_config.SetupIconFile_mac
 EXTENSIONS_LIST = []
@@ -70,10 +69,10 @@
 
 # See if the documentation has been built, and if so include it.
-doc_path = os.path.join(build_path, "docs")
+doc_path = os.path.join(build_path, "doc")
 print doc_path
 if os.path.exists(doc_path):
     for dirpath, dirnames, filenames in os.walk(doc_path):
         for filename in filenames:
-            sub_dir = os.path.join("docs", os.path.relpath(dirpath, doc_path))
+            sub_dir = os.path.join("doc", os.path.relpath(dirpath, doc_path))
             DATA_FILES.append((sub_dir, [os.path.join(dirpath, filename)]))
 else:
Index: setup.py
===================================================================
--- setup.py	(revision c8843bed742f7ad8f7d391a1aba41a25759cd009)
+++ setup.py	(revision 5881b17fbe4e39169f47ab9b471e946b64d5a697)
@@ -38,5 +38,5 @@
 # except when there is no such file
 # Todo : make this list generic
-# plugin_model_list = ['polynominal5.py', 'sph_bessel_jn.py',
+#plugin_model_list = ['polynominal5.py', 'sph_bessel_jn.py',
 #                      'sum_Ap1_1_Ap2.py', 'sum_p1_p2.py',
 #                      'testmodel_2.py', 'testmodel.py',
@@ -59,6 +59,6 @@
     if os.path.isfile(f_path):
         os.remove(f_path)
-    # f_path = os.path.join(sas_dir, 'plugin_models')
-    # if os.path.isdir(f_path):
+    #f_path = os.path.join(sas_dir, 'plugin_models')
+    #if os.path.isdir(f_path):
     #     for f in os.listdir(f_path):
     #         if f in plugin_model_list:
@@ -296,7 +296,17 @@
 append_file(file_sources, gen_dir)
 
+#Wojtek's hacky way to add doc files while bundling egg
+#def add_doc_files(directory):
+#    paths = []
+#    for (path, directories, filenames) in os.walk(directory):
+#        for filename in filenames:
+#            paths.append(os.path.join(path, filename))
+#    return paths
+
+#doc_files = add_doc_files('doc')
+
 # SasView
 package_dir["sas.sasview"] = "sasview"
-package_data['sas.sasview'] = ['images/*', 
+package_data['sas.sasview'] = ['images/*',
                                'media/*',
                                'test/*.txt',
@@ -324,5 +334,5 @@
 else:
     required.extend(['pil'])
-   
+
 # Set up SasView    
 setup(